/**
 * New fonts
 */

@import url("https://fonts.googleapis.com/css2?family=Crimson+Text:ital,wght@0,400;0,700;1,400;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Libre+Caslon+Display&display=swap");

/**
 * New variables
 */

:root {
  --md-alt-font-family: "Crimson Text";
  --md-heading-font-family: "Libre Caslon Display";
}

/**
 * Existing variables updates
 */

/* Light theme: default */
[data-md-color-scheme="default"] {
  --md-default-bg-color: #f0eee9;
  --md-default-bg-color--light: #f0eee9;
  --md-default-fg-color--lightest: #2b2c3015;
}

/* Dark theme: slate */
[data-md-color-scheme="slate"] {
  --md-default-bg-color: #1f2024;
  --md-default-bg-color--light: #1f2024;
  --md-default-fg-color--lightest: #2b2c30;
}

/**
 * General tweaks
 */

.md-grid {
  max-width: 64rem;
}

.md-sidebar {
  width: 12.4rem;
}

/**
 * Components tweaks
 */

/* Figcaption */
.md-typeset figcaption {
  opacity: 0.75;
  max-width: none;
  margin: 0;
  text-align: center;
  font-family: var(--md-alt-font-family);
  font-style: italic;
  font-size: 1rem;
}

/* Footer */
.md-footer__link {
  margin-bottom: 1rem;
}

.md-footer__button {
  margin-top: 0;
  margin-bottom: 0;
  padding-top: 0;
  padding-bottom: 0;
}

.md-footer__title {
  margin: 0;
}

.md-footer-meta {
  background-color: var(--md-default-bg-color);
  border-top: 1px solid var(--md-default-fg-color--lightest);
}

/* Typeset */
.md-typeset {
  font-size: 0.8rem;
}

.md-typeset h1,
.md-typeset h2 {
  font-family: var(--md-heading-font-family);
  letter-spacing: 0;
}

.md-typeset h1 {
  font-size: 2.6em;
}

.md-typeset h2 {
  font-size: 2em;
}

.md-typeset h3,
.md-typeset h4,
.md-typeset h5,
.md-typeset h6 {
  font-family: var(--md-alt-font-family);
}

/* Admonition */
.md-typeset .admonition {
  padding-right: 1.14rem;
  padding-left: 1.14rem;
  font-size: 0.8rem;
}

.md-typeset .admonition-title::before {
  top: 0.24em;
}

/**
 * Utility classes
 */

/* Caption */
.caption {
  opacity: 0.75;
  margin: 0;
  text-align: center;
  font-family: var(--md-alt-font-family);
  font-style: italic;
  font-size: 1rem;
}

/* Gallery */
.gallery {
  display: flex;
  overflow-x: auto;
  max-width: 100%;
  gap: 0.4rem;
}

.gallery img {
  max-width: 256px;
}

/* Text */
.font-alt {
  font-family: var(--md-alt-font-family);
}

.list-indent {
  margin-left: 0.46rem;
}

.text-center {
  text-align: center;
}

.text-indent {
  text-indent: 1.14rem;
}
